STLSTATS(8)

NAME
stlstats - Stallion Technologies multiport serial statistics display

SYNOPSIS
stlstats [-hVi] [-c control-device] [-b board-number] [-p port-number] [-d port-device]

DESCRIPTION
stlstats is used to display statistical information about the ports on Stallion Technologies multiport serial boards.

stlstats normally runs as a full screen menu driven application. A help line is displayed at the bottom of each screen with the valid input keys for this screen.

Generally the digit keys ('0' through '9') specify the number of the device to display statistics for. Where digits alone are not enough to access all possible devices (for example on 16 port panels) then the first letters of the alphabet are used to access the remaining devices. The letters 'a' through 'f' are used to access devices 10 through 15.

The 'q' key is always used to move back to the previous level screen. The escape key can also be used to move back to the previous screen.

The first screen is a display of all ports on panel 0 of board 0. Values displayed on this screen are a summary of the information for each port. The statistics displayed are: driver and TTY state flags, termios flags (cflags, iflags, oflags, lflags), RS-232 signal values (as per TIOCM signal defines), total transmit and receive character counts.

From this screen you can look at summary information about each panel and board installed in the system. Each board is accessed by the digit keys ('0' through '7'), while panels of each board can be cycled through using the 'n' key.

The per port screen displays some detailed information about a particular port. This is accessed from the board screen using the 'p' key. The first port displayed will be port 0. To display other ports use the digit and alphabetic keys ('0' through '9' and 'a' through 'f'). This screen displays: driver and TTY state flags, hardware ID, termios flags (cflags, iflags, oflags, lflags), total transmitted and received character counts, current transmit and receive characters buffered, receiver error counts (overruns, parity, framing, lost), software flow control characters transmitted and received, hardware flow control actions taken, count of transmitted and received breaks, modem signal transitions and current RS-232 signal states.

The options are:

-h  Output usage information.

-V  Output version information.

-i  Output only the board type information. This output is useful for scripts or other programs that need to know a little bit about the board (for example an automated download script). stlstats will not enter full screen interactive mode.

-c control-device
    Specify the board control device through which to gather port statistics. The default is /dev/staliomem0.

-b board-number
    Specify the board number to display first. The default is to display board 0.

-p port-number
    Specify the port number to display first. stlstats will go straight into the port display screen (bypassing board display) when this option is used.

-d port-device
    Specify the port special device file (the /dev/ttyXXX file) to display first. The board screen is bypassed and the port statistics screen is shown immediately on start up.

FILES

/dev/staliomem0
    driver control device used for statistics collection

SEE ALSO
stl(4), stli(4), stlload(8)

HISTORY
This program was originally developed by Greg Ungerer (gerg@stallion.com).